## mx4j.tools.remote
Class AbstractConnection

    java.lang.Object
      mx4j.tools.remote.AbstractConnection

All Implemented Interfaces:
  Connection

Direct Known Subclasses:
  JMXConnectionHandler

public abstract class AbstractConnection
extends java.lang.Object
implements Connection

Implementation of the Connection interface, to be used on the server-side end of the connection.

Version:
  $Revision: 1.4 $

Constructor Summary
`protected` `AbstractConnection(java.lang.String connectionId, ConnectionManager manager)`

Method Summary
`void` `close()` Closes this connection
`java.lang.String` `getConnectionId()` Returns the connection ID as specified by JSR 160 specification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractConnection

    protected AbstractConnection(java.lang.String connectionId,
                                 ConnectionManager manager)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `Connection`
  Closes this connection

  Specified by:
    `close` in interface `Connection`
  Throws:
    `java.io.IOException`

### getConnectionId

    public java.lang.String getConnectionId()
                                     throws java.io.IOException

  Description copied from interface: `Connection`
  Returns the connection ID as specified by JSR 160 specification

  Specified by:
    `getConnectionId` in interface `Connection`
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.